#!/bin/sh

dir=`echo "$0" | sed 's,[^/]*$,,'`
test "x${dir}" = "x" && dir='.'

if test "x`cd "${dir}" 2>/dev/null && pwd`" != "x`pwd`"
then
    echo "This script must be executed directly from the source directory."
    exit 1
fi

rm -f -r config.cache acconfig.h autom4te.cache
	

echo -e " \033[1;32m*\033[0;0m Generating alocal.m4..." 			&& \
aclocal									&& \
echo -e " \033[1;32m*\033[0;0m Generating configure..."			&& \
autoconf								&& \
echo -e " \033[1;32m*\033[0;0m Generating config.h.in..."                  && \
autoheader                                                                && \
echo -e " \033[1;32m*\033[0;0m Generating Makefiles"	&& \
automake --add-missing --gnu	&& exit 0					

# for developers only:
# uncomment the configure line if you want to develop the project
# for package mainteners only:
# leave the configure line as a comment. DEVELOP_VERSION must not be set!
# remove the # after automake
#./configure CFLAGS="$CFLAGS -O3 -ansi -std=c99 -Wall -Wwrite-strings -DDEVELOP_VERSION=\\\"\"`pwd`\\\"\"" && rm -rf autom4te.cache && exit 0

exit 1
